## org.apache.poi.hwpf.model.types
Class TBDAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.TBDAbstractType

Direct Known Subclasses:
  TabDescriptor

    @Internal
    public abstract class TBDAbstractType

extends java.lang.Object

The TBD is a substructure of the PAP.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Field Summary
`protected byte` `field_1_value`

Constructor Summary
`protected` `TBDAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`byte` `getJc()` Justification code
`byte` `getReserved()`
`static int` `getSize()` Size of record
`byte` `getTlc()` Tab leader code
`byte` `getValue()` Get the value field for the TBD record.
`void` `serialize(byte[] data, int offset)`
`void` `setJc(byte value)` Sets the jc field value.
`void` `setReserved(byte value)` Sets the reserved field value.
`void` `setTlc(byte value)` Sets the tlc field value.
`void` `setValue(byte field_1_value)` Set the value field for the TBD record.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_value

    protected byte field_1_value

Constructor Detail

### TBDAbstractType

    protected TBDAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    @Internal
    public byte getValue()

  Get the value field for the TBD record.

### setValue

    @Internal
    public void setValue(byte field_1_value)

  Set the value field for the TBD record.

### setJc

    @Internal
    public void setJc(byte value)

  Sets the jc field value. Justification code

### getJc

    @Internal
    public byte getJc()

  Justification code

  Returns:
    the jc field value.

### setTlc

    @Internal
    public void setTlc(byte value)

  Sets the tlc field value. Tab leader code

### getTlc

    @Internal
    public byte getTlc()

  Tab leader code

  Returns:
    the tlc field value.

### setReserved

    @Internal
    public void setReserved(byte value)

  Sets the reserved field value.

### getReserved

    @Internal
    public byte getReserved()

  Returns:
    the reserved field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.